function [ adc_vector ] = two_thres_quantize( radio_data )
%ONE_BIT_QUANTIZE Quantize data into 0 or 1, if above or below 0.

    adc_vector = zeros(2, length(radio_data));
    for i = 1 : length(radio_data)
        % Quantize each sample
        if (radio_data(i) >= 0.5)
            adc_vector(1, i) = 1;
            adc_vector(2, i) = 0;
        elseif (radio_data(i) <= -0.5)
            adc_vector(1, i) = 0;
            adc_vector(2, i) = 1;
        else
            adc_vector(1, i) = 0;
            adc_vector(2, i) = 0;
        end
    end
end

