function [ rx_data ] = one_bit_quantize( radio_data )
%ONE_BIT_QUANTIZE Quantize data into 0 or 1, if above or below 0.

    % The data is quantized to allowable levels
    rx_data = zeros(1, length(radio_data));
    for i = 1 : length(radio_data)
        % Quantize each sample
        if radio_data(i) >= 0
            rx_data(i) = 1;
        else
            rx_data(i) = 0;
        end
    end
end

