//-----------------------------------------------------------------------------
//
// Title       : fulladder
// Design      : corr_counter_block
// Author      : 
// Company     : 
//
//-----------------------------------------------------------------------------
//
// File        : c:\my_designs\corr_counter_block\corr_counter_block\src\fulladder.v
// Generated   : Thu Feb 13 16:56:01 2014
// From        : interface description file
// By          : Itf2Vhdl ver. 1.22
//
//-----------------------------------------------------------------------------
//
// Description : Simple Full adder
//
//-----------------------------------------------------------------------------
`timescale 1 ns / 1 ps

//{{ Section below this comment is automatically maintained
//   and may be overwritten
//{module {fulladder}}
module fulladder ( A ,B ,cin ,cout ,s );
	
	input A,B,cin;
	output s,cout;
	
	wire s1,c1,c2,c3;
	
	xor(s1,A,B);
	xor(s,cin,s1);
	and(c1,A,B);
	and(c2,B,cin);
	and(c3,A,cin);
	or(cout,c1,c2,c3);	
	
endmodule
