function [ voted_chip ] = vote_2bit( chip_group )
%VOTE_2BIT Votes on the most common bit in a 2-bit group
%   Detailed explanation goes here

% Count the type of each one
ones = 0;
zeros = 0;
negs = 0;
for i=1:length(chip_group)
    if (chip_group(i) == 1)
        ones = ones + 1;
    elseif (chip_group(i) == -1)
        negs = negs + 1;
    else
        zeros = zeros + 1;
    end
end

% Return the largest result
if ((ones > negs) && (ones > zeros))
    voted_chip = 1;
elseif ((negs > ones) && (negs > zeros))
    voted_chip = -1;
else
    voted_chip = 0;
end

end

